### robocode.control.events

# Class BattlePausedEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.BattlePausedEvent`

`public class BattlePausedEvent`
`extends BattleEvent`

A BattlePausedEvent is sent to `onBattlePaused()` when the battle has been paused.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `BattleResumedEvent`

  ## Constructor Summary

  `BattlePausedEvent()`
    Creates a new BattlePausedEvent.

## Constructor Details

### BattlePausedEvent

    public BattlePausedEvent()

> Creates a new BattlePausedEvent.